import 'package:flutter/material.dart';

import '../main.dart';
import 'box_name.dart';
import 'colors.dart';

class AppStyle {
  static TextStyle headTitle = const TextStyle(
    fontWeight: FontWeight.bold,
    fontSize: 40,
    color: AppColor.accentColor,
  );
  static TextStyle headTitle2 = const TextStyle(
    fontWeight: FontWeight.bold,
    fontSize: 26,
    color: AppColor.writeColor,
  );
  static TextStyle title = TextStyle(
    fontWeight: FontWeight.bold,
    fontSize: box.read(BoxName.lang) == 'ar' ? 14 : 16,
    color: AppColor.writeColor,
  );
  static TextStyle subtitle = const TextStyle(
    fontWeight: FontWeight.bold,
    fontSize: 13,
    color: AppColor.writeColor,
  );
  static TextStyle number = const TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 14,
      color: AppColor.writeColor,
      fontFamily: 'digit');

  static BoxDecoration boxDecoration = const BoxDecoration(
      boxShadow: [
        BoxShadow(
            color: AppColor.accentColor, blurRadius: 5, offset: Offset(2, 4)),
        BoxShadow(
            color: AppColor.accentColor, blurRadius: 5, offset: Offset(-2, -2))
      ],
      color: AppColor.secondaryColor,
      borderRadius: BorderRadius.all(
        Radius.elliptical(15, 30),
      ));
  static BoxDecoration boxDecoration1 = const BoxDecoration(
    boxShadow: [
      BoxShadow(
          color: Color.fromARGB(255, 237, 230, 230),
          blurRadius: 5,
          offset: Offset(2, 4)),
      BoxShadow(
          color: Color.fromARGB(255, 242, 237, 237),
          blurRadius: 5,
          offset: Offset(-2, -2))
    ],
    color: AppColor.secondaryColor,
    borderRadius: BorderRadius.all(
      Radius.elliptical(15, 30),
    ),
  );
}
